Bug 764772 - (GLUSTER-3040) need a way to create volumes with 'stripe+replicate' setup..
need a way to create volumes with 'stripe+replicate' setup..
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Amar Tumballi
Depends On:
  Show dependency treegraph
Reported: 2011-06-16 04:16 EDT by Amar Tumballi
Modified: 2015-12-01 11:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: RTP
Mount Type: ---
Documentation: DP
Verified Versions: glusterfs-3.3.0qa9
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2011-06-16 04:16:44 EDT
bash# gluster volume create test-vol stripe 2 replica 3 [6BRICKS] ..
Comment 1 Anand Avati 2011-06-23 21:30:58 EDT
PATCH: http://patches.gluster.com/patch/7578 in master (gluster volume create: option for stripe + replicate volume)
Comment 2 Anand Avati 2011-06-23 21:31:03 EDT
PATCH: http://patches.gluster.com/patch/7528 in master (gluster volume info: fix the output of 'stripe-replicated' volumes)
Comment 3 Amar Tumballi 2011-06-23 21:45:57 EDT
any of the order, like 

gluster volume create <VOL> replica 3 stripe 4 [12BRICKS] 


gluster volume create <VOL> stripe 4 replica 3 [12BRICKS]

would create same type of volume (RAID01 type, ie, replicate is subvolume of stripe, which can be subvolume of distribute).
Comment 4 Raghavendra Bhat 2011-09-16 03:12:56 EDT
Striped replicate volumes can be created now with glusterfs-3.3 releases. Checked with glusterfs-3.3.0qa9. 

gluster volume create <volname> stripe <cnt> replica <cmt> "bricks" will create striped replicate volume. Even if the stripe and replica are swapped, then also striped replicate volume with appropriate counts are created.

Note You need to log in before you can comment on or make changes to this bug.